Comment 17 for bug 1037483

I've tested the 304.43-0ubuntu2_amd64.deb versions and can now successfully produce and apply colour profiles! Which is great.

Although I enabled the -proposed repository, it didn't show the updated version as an available packaged. I had to manually download and install the deb files using dpkg.